Bug 87342 - implement Excel CEILING.MATH and FLOOR.MATH
Summary: implement Excel CEILING.MATH and FLOOR.MATH
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Winfried Donkers
QA Contact:
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-15 20:48 UTC by Eike Rathke
Modified: 2015-06-12 13:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test case in OOXML .xlsx (10.19 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-12-15 20:48 UTC, Eike Rathke
Details
test case in BIFF .xls (31.50 KB, application/vnd.ms-excel)
2014-12-15 20:49 UTC, Eike Rathke
Details
test case in BIFF .xlsb (9.32 KB, application/vnd.ms-excel)
2014-12-15 20:51 UTC, Eike Rathke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2014-12-15 20:48:12 UTC
Created attachment 110881 [details]
test case in OOXML .xlsx

Excel CEILING.MATH and FLOOR.MATH need to be implemented.
Comment 1 Eike Rathke 2014-12-15 20:49:29 UTC
Created attachment 110882 [details]
test case in BIFF .xls
Comment 2 Eike Rathke 2014-12-15 20:51:05 UTC
Created attachment 110883 [details]
test case in BIFF .xlsb
Comment 3 Mike §chinagl 2015-05-21 15:46:17 UTC
A bug fix for parts of this bug and another function is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

The functions CEILING.MATH and ERROR.TYPE have been added. (Winfried Donkers)

Maybe this status of this bug should be altered to fixed therefore ?
Comment 4 Winfried Donkers 2015-05-21 16:06:23 UTC
(In reply to Mike §chinagl from comment #3)
> A bug fix for parts of this bug and another function is mentioned in the
> release notes of the coming LibreOffice 5.0 (see release notes
> https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be
> wonderful if this feature really worked well, otherwise it should not be
> mentioned in the release notes. In the notes it reads:
> 
> The functions CEILING.MATH and ERROR.TYPE have been added. (Winfried Donkers)
> 
> Maybe this status of this bug should be altered to fixed therefore ?

You're right, that is to say, CEILING.MATH was added with a patch for bug 69552. I forgot to update bug 87342.
And currently I'm working on FLOOR.MATH, which will probably be submitted under the label of big 69552 too, as the patch consists of fixes/improvements for all FLOOR functions (ODF FLOOR, Excel FLOOR, FLOOR.PRECISE and FLOOR.MATH).

I'm not sure though if the FLOOR patch will make it in time for 5.0.0, possibly it will only be 5.1.0.
Comment 5 Eike Rathke 2015-06-12 13:13:07 UTC
Fixed with bug 69552, will be available in 5.0, see also https://wiki.documentfoundation.org/ReleaseNotes/5.0#New_spreadsheet_functions